¿Cinnamon para Debian no tendrá un soporte garantizado?


La pregunta que le da inicio a este post me viene a la mente, luego de que Clem Lefebvre me respondiera un comentario que le dejé en el Blog de Cinnamon.


El problema es el siguiente: Ayer traté de instalar Cinnamon en la PC del trabajo, donde tengo Debian Testing + Xfce. Usando el repositorio de LMDE me disponía a instalar este Shell, como había hecho en otras ocasiones,  sin embargo el intento falló debido a una dependencia. Resulta que Cinnamon necesita del paquete libcogl5 (>=1.7.4), pero dicho paquetico no se encuentra en los repositorios de Debian.

Traté de instalar la versión que hay en los repositorios de Ubuntu Oneiric, pero también me daba error al no poder sobrescribir un fichero en mi sistema. Para colmo, el paquete que está disponible en Debian, se encuentra en los repositorios de Sid solamente para la arquitectura armhf.

Pues bien, voy y le comento la situación a Clem y esta fue su respuesta:

Well that’s a Debian problem I think. If they only ever provide the latest libcogl and keep changing its name, you should expect Cinnamon and Shell to break continuously. Eventually we’ll move towards this version, but in the long run Debian will need to address that problem.

Lo que viene siendo algo como esto:

Bueno, eso es un problema de Debian, creo. Si tan sólo  ofrecen la última libcogl y siguen cambiando su nombre, usted debe contar con que Cinnamon y Shell se rompan de forma continua. Con el tiempo vamos a avanzar hacia esta versión, pero en largo plazo Debian tendrá que abordar ese problema.

¿Saben? En realidad tiene razón en parte, pero ya estoy un poco harto de que siempre suceda lo mismo: Unity, ElementaryOS, Cinnamon, todo enfocados en Ubuntu y a los demás que les den por saco. Pero aún hay algo que no entiendo ¿Cómo funciona Cinnamon en Linux Mint 13, si el paquete libcogl5 tampoco se encuentra en en los repositorios de Precise? Tendré que preguntarle nuevamente a Clem.

Lo que si me queda claro es que LMDE, una distribución que a mi (y a muchos) me entusiasmó desde que era solamente una idea, debería morir si no le van a dedicar a la versión de Linux Mint con Debian, el tiempo que requiere. Ojalá y SolusOS cubra el hueco que estoy seguro, dejará LMDE en sus usuarios.

Verdaderamente es una pena, porque aparte de Xfce, Cinnamon es el único Shell de Entorno de Escritorio que verdaderamente me llama la atención.

 

25 COMENTARIOS

  1. No entiendo como puede ser problema de debian si el software (cinnamon) es suyo. Si te decides a portar algo tendrás que seguir su desarrollo y adaptarlo a la distribución, sino ¿que sentido tiene? De todos modos no me gusta Cinnamon…

    • Lo que entendí es, que el problema de Debian es cambiarle el nombre al paquete o usar la última versión del paquete, y eso no es problema de ellos (Linux Mint). Pero repito, si dicho paquete tampoco está en los repositorios de Precise, que es la base de Linux Mint 13 ¿Entonces como es que funciona? 😕

      • Pero yo entiendo que si Debian cambia el nombre y la versión y tu diseñas software para Debian, lo suyo es que adaptes el software a esa circunstancia, no que digas que es culpa de Debian y quedarte tan tranquilo. Vamos, es mi opinion.

      • De hecho, volví a escribirle a Clem y en efecto, se percató de que el paquete que Cinnamon necesita ya no se encuentra tampoco en Ubuntu. Así que vamos a ver que pasa con todo esto.

  2. No sé de quien es la culpa. Pero lo que si sé es que esto me recuerda bastante a un tal Unity, el cual, no ha sido portado a ninguna otra distribución satisfactoriamente.

    Dicho esto, parece que la versión de Linux Mint basada en Debian, cada vez más, se está dejando de lado. Y en mi opinión creo que el equipo de linux mint ha de decidir entre mejorar el soporte de LMDE o simplemente matarla, porque estos proyectos no se pueden dejar a medias.(o lo tomas o lo dejas)

  3. Elav, totalmente de acuerdo con tu comentario sobre LMDE, que parece un proyecto abandonado. Yo lo usaba, pero ahora estoy con SolusOs. Clem parece obsesionado en seguir “mejorando ubuntu con Mint”, afortunadamente Ikey Doherty continúa el proyecto de SolusOS, que te brinda una experiencia “clásica” de Linux, con una buena estética y aplicaciones actualizadas.

  4. Muy intersante el tema …

    Cinnamon también camina super bien en Fedora ..

    Lo que yo pienso es que no quieren darle soporte a Debian por que en realidad no tiene sentido que en Debian no funcione pero en UBuntu si (¬_¬) O es acaso Ubuntu es diferente a Debian ??

    Para mi es que el señor Clem no quiere saber nada de Debian sino de maquillar mas a Ubuntu.

  5. Por lo que veo, tanto en Debian como en Ubuntu el que está presente es libcogl9, que correspondería con la versión 1.10 de libcogl, es decir que cumple con lo que se pide en las dependencias libcoglX (>=1.7.4).

    A lo mejor soy yo que lo veo muy fácil, pero sería cuestión de poner como dependencias:
    libcogl5 (>=1.7.4)

    Poner:
    libcogl5 (>=1.7.4) | libcogl9 (>=1.7.4)

    Y poco más, no es que el paquete no esté, sino que el nombre no se corresponde con el que actualmente se está utilizando.

  6. Veamos lo que dice la página de LinuxMint:

    http://www.linuxmint.com/download_lmde.php

    FAQ about LMDE
    1. Is LMDE compatible with Ubuntu-based Linux Mint editions?
    No, it is not. LMDE is compatible with Debian, which isn’t compatible with Ubuntu.

    Como ven, la compatibilidad es hacia abajo. Si lo advierten de entrada. Ellos diseñan para Ubuntu y así lo hacen compatible con Mint y cosas que desciendan de Ubuntu, pero no hacia arriba.

    Me parece que está clarísimo.

    • Recordar que Ubuntu saca sus paquetes de Debian, por lo tanto, lo que se incluya o se excluya de Debian a ellos les afecta, a no ser que sea un paquete propio o que decidan mantenerlo.. Pero no es el caso, libcogl5 tampoco está en Precise…

  7. Si desean instalar Cinnamon en debian testing es instalar desde una imagen vieja de testing de hace 6 meses donde era casi igual a los paquetes de LMDE, agregar los repositorios de LMDE e instalar Cinnamon. Luego hacer safe-upgrade todo lo que se pueda para que no se desinstale solo por “Errores de dependencias”

  8. Cada uno hace lo que puede, no creo que el equipo de linux mint o elementaryOS tengan tantos recursos, no todos los proyectos son kde. a mi me gustan como proyectos, y estaria bueno poder instalar pantheon shell o cinamon en cuanquier distro, pero al momento no es posible y si los desarrolladores prefieren centrarse en otras cosas en vez que la portabilidad, yo nos lo voy a criticar porque a decir verdad nunca he hecho algo por ellos ,ni donado ni nada por el estilo, como para que me debieran algo.

  9. No se, creo que hay muchos proyectos que nacen y se convierten en sensación por un poco tiempo, pero después caen en el olvido (Flor de unos días). Por eso prefiero proyectos con más tiempo y que no dependa de ser la novedad.

Dejar una respuesta